/*
 * Class MISMATCH_INFORMATION
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_170 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_170 [] = {0xFF01,237,169,0xFFFF};
static const EIF_TYPE_INDEX egt_2_170 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_3_170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_170 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_6_170 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_7_170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_170 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_170 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_170 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_170 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_170 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_13_170 [] = {0xFF01,261,0,0xFFFF};
static const EIF_TYPE_INDEX egt_14_170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_15_170 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_16_170 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_170 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_18_170 [] = {0xFF01,141,0xFFFF};
static const EIF_TYPE_INDEX egt_19_170 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_20_170 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_21_170 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_22_170 [] = {0xFF01,243,0,0xFFFF};
static const EIF_TYPE_INDEX egt_23_170 [] = {0xFF01,243,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_170 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_25_170 [] = {0xFF01,375,191,0xFFFF};
static const EIF_TYPE_INDEX egt_26_170 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_27_170 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_28_170 [] = {0xFF01,315,0,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_29_170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_30_170 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_31_170 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_32_170 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_170[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_170), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_170), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_170), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_170), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_170), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_170), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_170), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_170), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_170), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_170), 7325, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_170), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_170), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7330, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0153 /*169*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_170), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6994, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 36},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_170), 7040, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_170), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7043, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_170), 6686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6986, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6989, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 6992, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6993, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_170), 6995, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6996, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_170), 6997, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_170), 6998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7001, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7003, 40},
	{EIF_NON_GENERIC(0x017F /*191*/), 7007, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7016, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7020, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7025, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 7027, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_170), 7028, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_170), 7029, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7034, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7039, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_170), 7042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7044, 37},
	{EIF_GENERIC(egt_22_170), 7045, 4},
	{EIF_GENERIC(egt_23_170), 7046, 8},
	{EIF_GENERIC(egt_24_170), 7047, 12},
	{EIF_GENERIC(egt_25_170), 7048, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 7049, 44},
	{EIF_NON_GENERIC(0x017F /*191*/), 7050, 38},
	{EIF_NON_GENERIC(0x019D /*206*/), 7051, 48},
	{EIF_NON_GENERIC(0x019D /*206*/), 7052, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7053, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7054, 52},
	{EIF_NON_GENERIC(0x019D /*206*/), 7055, 56},
	{EIF_NON_GENERIC(0x019D /*206*/), 7056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7057, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7058, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7059, 60},
	{EIF_NON_GENERIC(0x01 /*0*/), 7060, 20},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 7061, 24},
	{EIF_NON_GENERIC(0x019D /*206*/), 7062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7066, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 7071, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 7072, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 7073, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7074, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 7076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7077, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7079, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7081, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7082, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6972, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6973, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6974, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6975, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6976, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6977, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6978, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6979, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6980, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6981, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6982, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7002, 64},
	{EIF_NON_GENERIC(0x019D /*206*/), 7002, 64},
	{EIF_NON_GENERIC(0x01 /*0*/), 7000, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_170), 7005, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7009, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1968, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6984, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1921, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1922, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6990, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6991, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7031, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_170), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_170), 6999, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_170), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7004, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_170), 7331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 7332, 28},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 7321, 32},
	{EIF_GENERIC(egt_31_170), 7322, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7323, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7324, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7326, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7327, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7328, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7329, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_170), -1, 0xFFFFFFFF},
};
void Init170(void)
{
	IDSC(desc_170, 0, 169);
	IDSC(desc_170 + 1, 1, 169);
	IDSC(desc_170 + 32, 77, 169);
	IDSC(desc_170 + 41, 123, 169);
	IDSC(desc_170 + 43, 97, 169);
	IDSC(desc_170 + 132, 50, 169);
	IDSC(desc_170 + 133, 256, 169);
	IDSC(desc_170 + 136, 35, 169);
	IDSC(desc_170 + 137, 282, 169);
	IDSC(desc_170 + 146, 187, 169);
	IDSC(desc_170 + 152, 99, 169);
	IDSC(desc_170 + 154, 229, 169);
	IDSC(desc_170 + 155, 58, 169);
	IDSC(desc_170 + 165, 308, 169);
}


#ifdef __cplusplus
}
#endif
